module Config.Pages.Services.Services.DebateCoaching exposing (..)

import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Services.Types exposing (..)
import Route.Path as Path


servicesDebateCoaching : Service
servicesDebateCoaching =
    let
        name : String
        name =
            "Debate Coaching"
    in
    { serviceImage = formatName name
    , serviceLink = Path.toString Path.Services_Coaching
    , serviceName = name
    , serviceRate = "$60/hr"
    , serviceDescription =
        [ { point = "Participate in a structured course with five one-hour modules." }
        , { point = "Learn critical thinking, debate strategy, formal logic, and more" }
        , { point = "Receive personalized and generalizable advice." }
        , { point = "Improve debate understanding and performance." }
        ]
    , serviceArticle =
        { articleTitles =
            { title1 = "What You Get"
            , title2 = "Syllabus"
            , title3 = "Module 1"
            , title4 = "Module 2"
            , title5 = "Module 3"
            , title6 = "Module 4"
            , title7 = "Module 5"
            , title8 = ""
            , title9 = ""
            , title10 = ""
            }
        , articleParagraph =
            [ "This service is designed to help you "
            ]
        , articleListEntries =
            { list1 =
                [ "A five-module course covering critical thinking, debate strategy, and propositional logic, designed to strengthen your debating skills."
                , "Personalized feedback and guidance to boost your strategic thinking, verbal comfort, and overall debate effectiveness."
                , "Optional mock debates and staged confrontations, helping you gain experience and confidence in real-world debates."
                ]
            , list2 =
                [ "" ]
            , list3 =
                [ "Study both common and obscure logical fallacies."
                , "Learn to identify and rebut fallacious reasoning."
                , "Test your knowledge of logical fallacies."
                ]
            , list4 =
                [ "Assignment review."
                , "Study concepts related to formal logic and argumentation."
                , "Learn the lexicon of debate and formal reasoning."
                , "Test your knowledge of debate-related terminology."
                ]
            , list5 =
                [ "Assignment review."
                , "Study philosophical concepts relevant to debate."
                , "Learn about epistemology and the philosophy of science."
                , "Test your knowledge of debate-related philosophical concepts."
                ]
            , list6 =
                [ "Assignment review."
                , "Study the different modes of argumentation."
                , "Learn the principles and axioms of propositional logic."
                , "Test your knowledge of propositional logic fundamentals."
                ]
            , list7 =
                [ "Assignment review."
                , "Study the inference rules of propositional logic."
                , "Learn how to form valid formal arguments."
                , "Test your knowledge of formal logic."
                ]
            , list8 =
                []
            , list9 =
                []
            , list10 =
                []
            }
        }
    }
